Macro Draw 2D Function

From FreeCAD Documentation
Revision as of 10:43, 25 December 2013 by Mario52 (talk | contribs) (Created page with "{{Macro/es|Icon=Text-x-python|Name=draw2DFunction|Name/es=draw2DFunction|Description= Utilízala para dibujar una función descrita por una "ecuación" [z=F(x)] (Z-X plano)}}")

File:Text-x-python draw2DFunction

Descripción
Utilízala para dibujar una función descrita por una "ecuación" [z=F(x)] (Z-X plano)

Autor
[[User:{{{Author}}}|{{{Author}}}]]
Descargar
None
Enlace
Versión Macro
1.0
Fecha última modificación
None
Versión(es) FreeCAD
None
Acceso directo predeterminado
None
Ver también
None

Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane) The example done here generate a parabol.
Needs to be defined :
F = variable used in the function,
X = initial value of x,
Nb = Number of step,
Z = function express with x
ZZ = function express with xx


 import FreeCAD, FreeCADGui, Part
 import math
 F=800
 X=-500
 Nb=10
 Step=1000/Nb
 Y=0
 for I in range(Nb):
 	XX=X+Step 
 	Z=X*X/(4*F)
 	ZZ=XX*XX/(4*F)
 	if I==0:
 		print "Le test est vrai !"
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
 		WWire=Part.Wire([nomme])
 	else :
 		print "Le test est 2 !"
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
 		WWire=Part.Wire([WWire,nomme])
 	X=XX 
 
 Part.show(WWire)